Subject: Re: [PATCH] Documentation/CommunityGuidelines

From: John Keeping <[email-masked]>
Date: Wed, 12 Jun 2013 14:14:18 +0100

On Wed, Jun 12, 2013 at 04:56:27PM +0530, Ramkumar Ramachandra wrote:
> John Keeping wrote:
> >> Either way, I'm not interested in problems that have no solutions.
> >> The only "solution" I see here is to suffocate every contributor until
> >> they are "tactful enough" for the majority's liking, and "remove" the
> >> ones that don't conform.  If you do have an alternate solution, please
> >> share it with us.
> >
> > I don't have a solution, only a hope that regular contributors will
> > learn from others how they can phrase review comments less aggressively.
> 
> The reviewer is not a thick-skinned bull that wants to harm the project.
> 
> 4. Lead by example.  If you do not like how someone presents
> themselves on the list, you counter it by presenting yourself nicely
> on the list.  Others will follow your example, making that person's
> behavior the minority.

I think that's what everyone is trying to do, the problem is when the
axiom "others will follow your example" fails.  In that case it is
important to address the issue.

It is equally important to do this in a way that does not assume malice
on the part of the reviewer. It is quite possible that when English is
not someone's first language then they may not realise how their words
are being interpreted by some people.  In this case a friendly message
sent off the mailing list may be appropriate.

>                         It is far more powerful than explicitly
> stating what is "acceptable" behavior and what is not.
> 
> > I expect different people will read the same statement differently;
> > people are from different cultures and what is considered acceptable in
> > one culture can be considered rude in another.  We should aim to
> > cultivate our own culture where we try to minimise the risk that what we
> > write will be misinterpreted by someone with a different cultural
> > background.
> 
> So you have agreed that "tone" is subjective, and that attempting to
> objectively state the "right tone" is a lost cause.

It is subjective *to some degree*.  If a reviewer takes care, then it is
possible to write a message that minimises the risk that the words can
be interpreted in a way that is not what was intended.

If we do end up having community guidelines, then I think that point is
very important.  It is equally important that readers do not assume that
the tone in which they read an email is that in which it was intended
but I think that human nature makes that half harder.